Bug 198942 - [kate] [Indic] incorrect cursor navigation with conjuct character
[kate] [Indic] incorrect cursor navigation with conjuct character
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdesdk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: i18n
Depends On:
Blocks: 209585
  Show dependency treegraph
 
Reported: 2006-07-14 16:27 EDT by A S Alam
Modified: 2013-07-02 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 06:58:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test Case for Cursor navigation (131 bytes, text/plain)
2006-07-14 16:27 EDT, A S Alam
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 141915 None None None Never

  None (edit)
Description A S Alam 2006-07-14 16:27:11 EDT
Description of problem:
Movement of Cursor is More RIGHT side than it should be, which depends upon
Number of
conjunct (below base characters with Halant character)

Version-Release number of selected component (if applicable):
kdebase-3.5.3-12

How reproducible:
Everytime

Steps to Reproduce:
1. Open kate (may you need to open in pa_IN.UTF-8 kate)
2. open attached txt file
3. for each given line, Please goto End of line, and see the position of cursor
  
Actual results:
it is 1 More RIGHT side than actual for word

Expected results:
it should be at End of word
(IDEAL: kedit's behavior, pls open file with kedit)

Additional info:
if not able to check in en_US envirment, pls try to open pa_IN.UTF-8 envirnment
attached test case contains Punjabi langauge, fonts-punjabi are available
Comment 1 A S Alam 2006-07-14 16:27:12 EDT
Created attachment 132461 [details]
Test Case for Cursor navigation
Comment 2 Pravin Satpute 2008-03-13 06:31:05 EDT
tested the attached file in kate
Fedora 8.90(Rawhide)
It looks resolved in kdebase-4.0.2-2.fc9
Comment 3 A S Alam 2008-04-10 06:58:07 EDT
it is working fine with following package:
kdebase-4.0.3-6.fc9.i386

Note You need to log in before you can comment on or make changes to this bug.